# GESAudioTransition

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESOperation
                        ╰──GESTransition
                            ╰──GESAudioTransition

### Members

`parent` (GESTransition) –
No description available

### Class structure

#### GESAudioTransitionClass

##### Fields

`parent_class` (GESTransitionClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.AudioTransitionClass

##### Attributes

`parent_class` (GES.TransitionClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.AudioTransitionClass

##### Attributes

`parent_class` (GES.TransitionClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.AudioTransition

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Operation
                        ╰──GES.Transition
                            ╰──GES.AudioTransition

### Members

`parent` (GES.Transition) –
No description available

## GES.AudioTransition

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Operation
                        ╰──GES.Transition
                            ╰──GES.AudioTransition

### Members

`parent` (GES.Transition) –
No description available

### Constructors

#### ges_audio_transition_new

    GESAudioTransition *
    ges_audio_transition_new ()

Creates a new GESAudioTransition.

Returns ( [transfer: floating]) –

The newly created GESAudioTransition.

deprecated : 1.18: This should never be called by applications as this will be created by clips.

#### GES.AudioTransition.prototype.new

    function GES.AudioTransition.prototype.new(): {
        // javascript wrapper for 'ges_audio_transition_new'
    }

Creates a new GES.AudioTransition.

Returns (GES.AudioTransition) –

The newly created GES.AudioTransition.

deprecated : 1.18: This should never be called by applications as this will be created by clips.

#### GES.AudioTransition.new

    def GES.AudioTransition.new ():
        #python wrapper for 'ges_audio_transition_new'

Creates a new GES.AudioTransition.

Returns (GES.AudioTransition) –

The newly created GES.AudioTransition.

deprecated : 1.18: This should never be called by applications as this will be created by clips.

## Constants

### GES_TYPE_AUDIO_TRANSITION

    #define GES_TYPE_AUDIO_TRANSITION ges_audio_transition_get_type()

The results of the search are